# Useful Links

The following is a curated list of the best internal and external resources for using, creating, running, building, and researching Distributed Validators. To add to this list, please open a [pull request](https://github.com/ObolNetwork/obol-docs/pulls/).

## Deposit Interfaces

* [Chorus One](https://opus.chorus.one/pool/stake/)
* [Stakely](https://obol-portal.stakely.io/)
* [Mellow](https://app.mellow.finance/restake/ethereum-dvsteth)

## Launchers and Deployment Tooling

* [Dappnode](https://docs.dappnode.io/docs/user/staking/ethereum/dvt-technologies/obol-network/)
* [Stereum](https://stereum.net/)
* [Sedge](https://github.com/ObolNetwork/sedge/blob/develop/docs/docs/quickstart/charon.mdx)
* [Obol CDVN](https://github.com/ObolNetwork/charon-distributed-validator-node)
* [Obol K8s](https://github.com/ObolNetwork/charon-k8s-distributed-validator-node)
* [Obol Helm Charts](https://github.com/ObolNetwork/helm-charts)
* [Obol Ansible Playbooks](https://github.com/ObolNetwork/obol-ansible)
* [Terraform Charon Relay](https://github.com/ObolNetwork/terraform-charon-relay)
* [Terraform Grafana Charon dashboards](https://github.com/ObolNetwork/terraform-grafana-dashboards)

## Quickstart Guides

* [Run a DV alone](/next/run-a-dv/start/create-a-dv-alone.md)
* [Run a DV as a group](/next/run-a-dv/start/create-a-dv-with-a-group.md)
* [Run a DV using the SDK](https://github.com/ObolNetwork/obol-gitbook/blob/main/adv/advanced/quickstart-sdk.mdx)

## Security and Best Practices

* [Audits](https://github.com/ObolNetwork/obol-security/tree/main/audits)
* [Security repo](https://github.com/ObolNetwork/obol-security)
* [Security Docs Page](/next/advanced-and-troubleshooting/security/overview.md)
* [Best practices doc](/next/run-a-dv/prepare/deployment-best-practices.md)
* [Status Page](https://status.obol.org/)

## Security Audits and Assessments

* A [review](/next/advanced-and-troubleshooting/security/ev-assessment.md) of Obol Labs development processes by Ethereal Ventures
* A [security assessment](https://github.com/ObolNetwork/obol-security/blob/f9d7b0ad0bb8897f74ccb34cd4bd83012ad1d2b5/audits/Sigma_Prime_Obol_Network_Charon_Security_Assessment_Report_v2_1.pdf) of Charon by [Sigma Prime](https://sigmaprime.io/).
* A [solidity audit](https://github.com/ObolNetwork/obol-gitbook/blob/main/adv/security/smart_contract_audit.mdx) of the Obol Splits contracts by [Zach Obront](https://zachobront.com/).
* [Charon Threat model](/next/advanced-and-troubleshooting/security/threat_model.md)
* [QuantStamp Charon audit Q4 2023](https://obol.tech/charon_quantstamp_assessment.pdf)

## Research and Development

* Nethermind research papers via the [Obol Network Research Forum](https://community.obol.tech/?ref=blog.obol.org)
  * [Publicly Verifiable Secret Sharing-based Distributed Key Generation](https://community.obol.tech/t/proposal-publicly-verifiable-secret-sharing-based-distributed-key-generation/94?ref=blog.obol.org)
  * [Key Refresh Scheme for DV operators](https://community.obol.tech/t/proposal-key-refresh-scheme-for-dv-operators/97?ref=blog.obol.org)
  * [BFT protocol that can mutate its operator set in a byzantine setting](https://community.obol.tech/t/proposal-bft-protocol-that-can-mutate-its-operator-set-in-a-byzantine-setting/106?ref=blog.obol.org)
  * [Using DV clusters for encrypted transaction mempools](https://community.obol.tech/t/proposal-using-dv-clusters-for-encrypted-transaction-mempools/108?ref=blog.obol.org)
  * Attributable Consensus Solution for DV Clusters [Part I](https://community.obol.org/t/proposal-attributable-consensus-solution-for-dv-clusters/104?ref=blog.obol.org), [Part II](https://community.obol.org/t/proposal-attributable-consensus-solution-for-dv-clusters-part-2/107?ref=blog.obol.org), [Part III](https://community.obol.org/t/proposal-attributable-consensus-solution-for-dv-clusters-part-3/109?ref=blog.obol.org), [Appendix](https://community.obol.org/t/proposal-attributable-consensus-solution-for-dv-clusters-appendix/110?ref=blog.obol.org)
* [Obol-Lido Splits Dune Dashboard](https://dune.com/obol_labs/lido-splits)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.obol.org/next/learn/further-reading/resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
